%define anolis_release 6

Name:           perl-Class-Data-Inheritable
Version:        0.09
Release:        %{anolis_release}%{?dist}
Summary:        Inheritable, overridable class data
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Class-Data-Inheritable
Source0: 	https://cpan.metacpan.org/modules/by-module/Class/Class-Data-Inheritable-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(Test::More)
Requires:       perl(Carp)

%description
Class::Data::Inheritable is for creating accessor/mutators to 
class data. That is, if you want to store something about your 
class as a whole (instead of about a single object). This data 
is then inherited by your sub-classes and can be overridden.

%prep
%setup -q -n Class-Data-Inheritable-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Class/
%{_mandir}/man3/Class::Data::Inheritable.3*

%changelog
* Tue Dec 26 2023 happy_orange <songnannan@linux.alibaba.com> - 0.09-6
- fix the source error

* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 0.09-5
- Import package for anolis 23
